#!/usr/bin/env python3
import include_homekit

from homekit.api.errors import ApiResponseError
from homekit.media import SoundNodeClient


if __name__ == '__main__':
    client = SoundNodeClient(('127.0.0.1', 8313))
    print(client.amixer_get_all())

    try:
        client.amixer_get('invalidname')
    except ApiResponseError as exc:
        print(exc)

